Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Class HTTPFileCacheConfigKeys

    java.lang.Object
      com.sun.appserv.management.config.HTTPFileCacheConfigKeys

public final class HTTPFileCacheConfigKeys
extends java.lang.Object

Keys for use with `HTTPServiceConfig.createHTTPFileCacheConfig(java.util.Map)` All Map values associated with a key are of class java.lang.String unless otherwise documented.

Field Summary
`static java.lang.String` | `FILE_CACHING_ENABLED_KEY`
`static java.lang.String` | `FILE_TRANSMISSION_ENABLED_KEY`
`static java.lang.String` | `GLOBALLY_ENABLED_KEY`
`static java.lang.String` | `HASH_INIT_SIZE_KEY`
`static java.lang.String` | `MAX_AGE_IN_SECONDS_KEY`
`static java.lang.String` | `MAX_FILES_COUNT_KEY`
`static java.lang.String` | `MEDIUM_FILE_SIZE_LIMIT_IN_BYTES_KEY`
`static java.lang.String` | `MEDIUM_FILE_SPACE_IN_BYTES_KEY`
`static java.lang.String` | `SMALL_FILE_SIZE_LIMIT_IN_BYTES_KEY`
`static java.lang.String` | `SMALL_FILE_SPACE_IN_BYTES_KEY`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GLOBALLY_ENABLED_KEY

    public static final java.lang.String GLOBALLY_ENABLED_KEY

See Also:
  Constant Field Values

### FILE_CACHING_ENABLED_KEY

    public static final java.lang.String FILE_CACHING_ENABLED_KEY

See Also:
  Constant Field Values

### MAX_AGE_IN_SECONDS_KEY

    public static final java.lang.String MAX_AGE_IN_SECONDS_KEY

See Also:
  Constant Field Values

### MEDIUM_FILE_SIZE_LIMIT_IN_BYTES_KEY

    public static final java.lang.String MEDIUM_FILE_SIZE_LIMIT_IN_BYTES_KEY

See Also:
  Constant Field Values

### MEDIUM_FILE_SPACE_IN_BYTES_KEY

    public static final java.lang.String MEDIUM_FILE_SPACE_IN_BYTES_KEY

See Also:
  Constant Field Values

### SMALL_FILE_SIZE_LIMIT_IN_BYTES_KEY

    public static final java.lang.String SMALL_FILE_SIZE_LIMIT_IN_BYTES_KEY

See Also:
  Constant Field Values

### SMALL_FILE_SPACE_IN_BYTES_KEY

    public static final java.lang.String SMALL_FILE_SPACE_IN_BYTES_KEY

See Also:
  Constant Field Values

### FILE_TRANSMISSION_ENABLED_KEY

    public static final java.lang.String FILE_TRANSMISSION_ENABLED_KEY

See Also:
  Constant Field Values

### MAX_FILES_COUNT_KEY

    public static final java.lang.String MAX_FILES_COUNT_KEY

See Also:
  Constant Field Values

### HASH_INIT_SIZE_KEY

    public static final java.lang.String HASH_INIT_SIZE_KEY

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.